Passer au contenu principal
POST
/
crm
/
extensions
/
calling
/
2026-03
/
inbound-call
Submit details of an inbound call to the CRM.
curl --request POST \
  --url https://api.hubapi.com/crm/extensions/calling/2026-03/inbound-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createEngagement": true,
  "engagementProperties": {},
  "externalCallId": "<string>",
  "finalCallStatus": "BUSY",
  "fromNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "potentialRecipientUserIds": [
    123
  ],
  "toNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "callStartedTimestamp": "2023-11-07T05:31:56Z",
  "durationSeconds": 123,
  "userId": 123
}
'
{
  "callerIdMatches": [
    {
      "callerIdType": "CONTACT",
      "objectCoordinates": {
        "objectId": 123,
        "objectTypeId": "<string>",
        "portalId": 123
      },
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>"
    }
  ]
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Corps

application/json
createEngagement
boolean
requis

Indicates whether an engagement should be created for the call.

engagementProperties
object
requis

Contains additional properties related to the engagement.

externalCallId
string
requis

The unique identifier for the call from an external system.

finalCallStatus
enum<string>
requis

The final status of the call, with accepted values including: BUSY, CALLING_CRM_USER, CANCELED, COMPLETED, CONNECTING, FAILED, HOLD, IN_PROGRESS, MISSED, NO_ANSWER, QUEUED, RINGING, UNKNOWN.

Options disponibles:
BUSY,
CALLING_CRM_USER,
CANCELED,
COMPLETED,
CONNECTING,
FAILED,
HOLD,
IN_PROGRESS,
MISSED,
NO_ANSWER,
QUEUED,
RINGING,
UNKNOWN
fromNumber
object
requis
potentialRecipientUserIds
integer<int32>[]
requis
toNumber
object
requis
callStartedTimestamp
string<date-time>

The timestamp indicating when the call started, formatted as a date-time string.

durationSeconds
integer<int32>

The duration of the call in seconds.

userId
integer<int32>

The ID of the user associated with the call.

Réponse

successful operation

callerIdMatches
(CONTACT · object | COMPANY · object)[]
requis
Last modified on April 13, 2026